[arch-commits] Commit in chromium/trunk (PKGBUILD)

Pierre Schmitz pierre at archlinux.org
Mon Jun 7 05:02:24 EDT 2010


    Date: Monday, June 7, 2010 @ 05:02:23
  Author: pierre
Revision: 81898

upgpkg: chromium 5.0.375.55-2
rebuild with fixed gcc 4.5

Modified:
  chromium/trunk/PKGBUILD

----------+
 PKGBUILD |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-06 22:27:54 UTC (rev 81897)
+++ PKGBUILD	2010-06-07 09:02:23 UTC (rev 81898)
@@ -5,13 +5,13 @@
 
 pkgname=chromium
 pkgver=5.0.375.55
-pkgrel=1
+pkgrel=2
 pkgdesc='The open-source project behind Google Chrome, an attempt at creating a safer, faster, and more stable browser.'
 arch=('i686' 'x86_64')
 url='http://www.chromium.org/'
 license=('BSD')
 depends=('nss' 'gconf' 'alsa-lib' 'xdg-utils' 'hicolor-icon-theme' 'bzip2' 'libevent' 'libxss')
-makedepends=('python' 'perl' 'gperf' 'yasm' 'mesa' 'gcc<4.5')
+makedepends=('python' 'perl' 'gperf' 'yasm' 'mesa')
 provides=('chromium-browser')
 conflicts=('chromium-browser')
 options=('force')
@@ -19,7 +19,7 @@
 source=("http://build.chromium.org/buildbot/official/chromium-${pkgver}.tar.bz2"
         'chromium.desktop' 'chromium.sh'
         'ffmpeg_branding_mime.patch' 'drop_sse2.patch' 'libpng-1.4.patch')
-md5sums=('a5ee0492b518bdbb29a51d3d17b818a7'
+md5sums=('0c8acec246ad0d8b7991218969f872aa'
          '897de25e9c25a01f8b1b67abe554a6b7'
          '096a46ef386817988250d2d7bddd1b34'
          'ae1b32473c74b39e3f64b32d71574170'
@@ -31,7 +31,7 @@
 
 ### Patch
   patch -p1 -i ${srcdir}/ffmpeg_branding_mime.patch || return 1
-  patch -p1 -i ${srcdir}/drop_sse2.patch || return 1
+  [ "${CARCH}" == 'i686' ] && (patch -p1 -i ${srcdir}/drop_sse2.patch || return 1)
   patch -p1 -i ${srcdir}/libpng-1.4.patch || return 1
 
 ### Configure



More information about the arch-commits mailing list